.operations{
    row-gap: 0.8rem;
    div{
        column-gap: 1rem;
        row-gap: 0.7rem;
    }
}


.table{
    background-color: white;
    border-collapse: separate; 
    border-spacing: 0rem 0.8rem;
    overflow-x: scroll !important;
    max-width: 100vw !important;
    thead{
        tr{
            border: none;
            vertical-align: middle;
        }
        th{
            font-family: 'Mulish';
            font-style: normal;
            font-weight: 600;
            font-size: 14px;
            line-height: 18px;
            /* identical to box height */
            border: none;
            letter-spacing: 0.2px;
            padding: 0rem 0.3rem !important;
            /* grayscale / gray */
            color: #9FA2B4;
            text-align: center;
        }
    }
    tbody{
        tr{
            background-color :rgba(247, 248, 252, 1);
            border-radius: 25px;
            text-align: center;
        }
        td{
            font-style: normal;
            font-weight: normal;
            font-size: 14px;
            line-height: 16px;
            letter-spacing: 0.001em;
            font-family: Roboto;


            vertical-align: middle;
            color: #404040;
            border: none;
            padding: 0rem 0.3rem !important;
            white-space: nowrap;
            button{
                box-shadow: none;
                width: 40px;
                height: 40px;
                pointer-events: none;
            }

            .dot{
                width: 5px;
                height: 5px;
                border-radius: 50%;
            }
            .vertical-line{
                height: 22px;
                padding-left: 1.5px;
                border-right: 1px dashed #000000;
            }
        }
        .not_settled{
            text-transform: capitalize;
            background-color: rgba(254, 246, 233, 1);
            color: rgba(244, 161, 37, 1);
            svg{
                color: rgba(244, 161, 37, 1);
            }
        }
        .settled{
            text-transform: capitalize;
            background-color: rgba(239, 248, 241, 1);
            color: rgba(45, 188, 83, 1);
            svg{
                color: rgba(45, 188, 83, 1);
            }
        }
    }

    .stepper-helper-text{
        font-family: 'Lato' !important;
        font-style: normal;
        font-weight: normal;
        font-size: 14px !important;
        line-height: 21px;
        letter-spacing: 0.001em;
        color: #ADADAD !important;

    }

}

.POD{
    background-color: white;
    border-collapse: separate; 
    border-spacing: 0rem 0.8rem;
    overflow-x: scroll ;
    max-width: 100vw ;
    thead{
        tr{
            border: none;
            vertical-align: middle;
        }
      
        th{
            font-family: 'Mulish';
            font-style: normal;
            font-weight: 600;
            font-size: 14px;
            line-height: 18px;
            background-color: white;
            /* identical to box height */
            border: none;
            letter-spacing: 0.2px;
            padding: .8rem 0.3rem !important;
            /* grayscale / gray */
            color: #9FA2B4;
            text-align: center;
        }
        th:nth-child(2),th:nth-child(4){
            cursor: pointer;
            svg {
                margin-left: .3rem;
            }
        }
    }
    tbody{
        tr{
            background-color :rgba(247, 248, 252, 1);
            border-radius: 25px;
            text-align: center;

            td:last-child{
                svg:nth-child(1){
                    margin-right : .8rem
                }
                svg {
                    cursor: pointer;
                }
            }
        }
        td{
            font-style: normal;
            font-weight: normal;
            font-size: 14px;
            line-height: 16px;
            letter-spacing: 0.001em;
            font-family: Roboto;
            vertical-align: middle;
            color: #404040;
            border: none;
            padding: 1rem 0.3rem !important;
            white-space: nowrap;
            button{
                box-shadow: none;
                width: 40px;
                height: 40px;
                pointer-events: none;
            }

            .dot{
                width: 5px;
                height: 5px;
                border-radius: 50%;
            }
            .vertical-line{
                height: 22px;
                padding-left: 1.5px;
                border-right: 1px dashed #000000;
            }
        }
        .not_settled{
            text-transform: capitalize;
            background-color: rgba(254, 246, 233, 1);
            color: rgba(244, 161, 37, 1);
            svg{
                color: rgba(244, 161, 37, 1);
            }
        }
        .settled{
            text-transform: capitalize;
            background-color: rgba(239, 248, 241, 1);
            color: rgba(45, 188, 83, 1);
            svg{
                color: rgba(45, 188, 83, 1);
            }
        }
    }

    .stepper-helper-text{
        font-family: 'Lato' !important;
        font-style: normal;
        font-weight: normal;
        font-size: 14px !important;
        line-height: 21px;
        letter-spacing: 0.001em;
        color: #ADADAD !important;

    }

}

.payment-methods-container{
    background-color: white;
    column-gap: 0.5rem;
    row-gap: 0.5rem;
    button{
        color: #3f50b5;
        border-color: #3f50b5;
    }
}

.edit-button{
    background-color: white !important;
    font-family: 'Mulish' !important;
    font-style: normal !important;
    font-weight: normal !important;
    font-size: 12px;
    color: #9FA2B4 !important;
    &:hover{
        background-color: white !important;
    }
}
.delete-button{
    background-color: #FFE2E3 !important;
    font-family: "Mulish" !important;
    font-style: normal !important;
    font-weight: normal !important;
    font-size: 12px;
    color: #FF0000 !important;

    &:hover{
        background-color: #FFE2E3 !important;
    }
}

.trip-revenue-details{
    background-color: white;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    color: #404040;
    
    .transaction-details{
        display: grid;
        grid-template-columns: auto auto auto auto auto;
        align-items: center !important;
        row-gap: 0.5rem;
    }

    .amount-summary-title{
        font-family: 'Roboto';
        font-style: normal;
        font-weight: 500;
        font-size: 18px;
        color: #404040;
    }
    .total-charges{
        font-family: 'Lato';
        font-style: normal;
        font-weight: normal;
        font-size: 12px;
        line-height: 21px;
        letter-spacing: 0.001em;
        padding-left: 15px !important;
        color: #8F8F8F;
        h6{
            font-family: 'Roboto';
            font-style: normal;
            font-weight: normal;
            font-size: 14px;
            line-height: 16px;
            display: flex;
            align-items: center;
            color: #404040;
        }
        outline: none;
        border: none;
        &::before{
            opacity: 0;
        }
    }
    .trip-balance-details{
        font-family: 'Roboto';
        font-style: normal;
        font-weight: 500;
        font-size: 14px;
        color: #404040;
        svg > path{
            fill: rgba(54, 123, 245, 1);
        }
    }
    .revenue-expense{
        svg > path{
            fill: black !important;
        }
    }
    .view-bill-icon{
        path{
            fill: white !important;
        }
        
    }
    
    .primary{
        svg > path{
            fill: rgba(54, 123, 245, 1) !important;
        }    
    }
    .revenue-profit{
        span{
            color: rgba(45, 188, 83, 1);
        }
        svg > path{
            fill: rgba(45, 188, 83, 1) !important;
        }
    }

}

.dashed-border{
    border-bottom: 2px dashed #BDBDBD;
}

.trip-bill-details{
    background-color: white;
    div > p{
        font-family: 'Roboto';
        font-style: normal;
        font-weight: normal;
        font-size: 14px;
        line-height: 16px;
        color: #404040;
    }
    div > span{
        font-family: 'Lato';
        font-style: normal;
        font-weight: bold;
        font-size: 12px;
        line-height: 21px;
        letter-spacing: 0.001em;
        color: #ADADAD;
        svg > path{
            fill: #ADADAD !important;
        }    
    }
    
}

.payment-receive-modal{
    width: 100vw;
    min-height: 100vh;
    position: fixed;
    top: 0%;
    left: 0%;
    z-index: 1500;
    display: flex;
    justify-content: center;
    align-items: center;
    // background-color: red;

    .main-container{
        position: relative;
        display: flex;
        z-index: 1500;
        width: 800px;
        min-height: 600px;
        background-color: white;
        .close-btn{
            cursor: pointer;
            color: rgba(196, 196, 196, 1);
            top: 1%;
            right: 2%;
            z-index: 100;
        }
        .payment-receive-intro{
            background-color: rgba(250, 251, 255, 1);
            p{
                font-family: 'Mulish';
                font-style: normal;
                font-weight: normal;
                font-size: 14px;
                line-height: 19px;
                /* or 139% */
        
                letter-spacing: 0.1px;
        
                color: #858585;
        
            }
            h3{
                font-family: 'Mulish';
                font-style: normal;
                font-weight: 600;
                font-size: 24px;
                line-height: 30px;
                display: flex;
                align-items: center;
        
                color: #404040;
            }
        }
        .payment-receive-form{
            background-color: white;
            h3{
                
                font-family: 'Mulish';
                font-style: normal;
                font-weight: 600;
                font-size: 24px;
                line-height: 20px;
                /* identical to box height, or 83% */

                letter-spacing: 0.2px;

                /* grayscale / black */

                color: #252733;

            }
            .payment-receive-form-action{
                row-gap: 1rem;
                column-gap: 1rem;
            }
        }
    }
}
.payment-made-modal{
    width: 100vw;
    min-height: 100vh;
    position: fixed;
    top: 0%;
    left: 0%;
    z-index: 1500;
    display: flex;
    justify-content: center;
    align-items: center;
    // background-color: red;

    .main-container{
        position: relative;
        display: flex;
        z-index: 1500;
        width: 800px;
        min-height: 600px;
        background-color: white;
        .close-btn{
            cursor: pointer;
            color: rgba(196, 196, 196, 1);
            top: 1%;
            right: 2%;
            z-index: 100;
        }
        .payment-made-intro{
            background-color: rgba(250, 251, 255, 1);
            p{
                font-family: 'Mulish';
                font-style: normal;
                font-weight: normal;
                font-size: 14px;
                line-height: 19px;
                /* or 139% */
        
                letter-spacing: 0.1px;
        
                color: #858585;
        
            }
            h3{
                font-family: 'Mulish';
                font-style: normal;
                font-weight: 600;
                font-size: 24px;
                line-height: 30px;
                display: flex;
                align-items: center;
        
                color: #404040;
            }
        }
        .payment-made-form{
            background-color: white;
            h3{
                
                font-family: 'Mulish';
                font-style: normal;
                font-weight: 600;
                font-size: 24px;
                line-height: 20px;
                /* identical to box height, or 83% */

                letter-spacing: 0.2px;

                /* grayscale / black */

                color: #252733;

            }
            .payment-made-form-action{
                row-gap: 1rem;
                column-gap: 1rem;
            }
        }
    }
}

@media screen and (max-width: "375px") {
    .payment-methods-container{
        button{
            transform: scale(0.8);
            transform-origin: 0% center;
        }
    }
    .edit-button,.delete-button{
        transform: scale(0.7);
        transform-origin: 0% 100%;
    }
    .edit-button{
        transform-origin: 100% 100%;
    }
}
